# cern-lxdistcc-lcg: v14 2009/06/30 KELEMEN Peter <lxdistcc-admins@cern.ch>

%define debug_package %{nil}

%define version 0
%define release 2
%define dist .slc5

%define	_prefix	/usr
%define _bindir %{_prefix}/bin
%define _mandir %{_datadir}/man

Name: cern-lxdistcc-lcg
Summary: CERN lxdistcc LCG compiler wrappers
Version: %{version}
Release: %{release}%{?dist}
Group: Development/Languages
License: GPL
Packager: KELEMEN Peter <lxdistcc-admins@cern.ch>
Distribution: Scientific Linux CERN 5
BuildArch: x86_64
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
# BuildRequires:
Requires: distcc >= 3.1-10cern.svn20090608.slc5, openafs-client >= 1.4.8-8.cern

Source0: lcg-compiler-wrapper-4.3.2.slc5.x86_64

%description
CERN lxdistcc SLC5/x86_64 LCG compiler wrappers.

%prep
%setup -cT

%build

%install
rm -rf ${RPM_BUILD_ROOT}
install -m 755 -D %{SOURCE0} ${RPM_BUILD_ROOT}/%{_bindir}/lcg-compiler-wrapper-4.3.2
cd ${RPM_BUILD_ROOT}/%{_bindir}
ln -s lcg-compiler-wrapper-4.3.2 lcg-gcc-4.3.2
ln -s lcg-compiler-wrapper-4.3.2 lcg-g++-4.3.2
ln -s lcg-compiler-wrapper-4.3.2 lcg-c++-4.3.2

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%{_bindir}/lcg-*

%changelog
* Mon Jun 29 2009  KELEMEN Peter <lxdistcc-admins@cern.ch> 0-1
- Initial release, supports gcc-4.3.2
